<?php

namespace WeDevs\AppBridge\Core;

use WeDevs\AppBridge\Core\Contracts\Hookable;
use WeDevs\AppBridge\ThirdParty\Packages\Appsero\Client;
use WeDevs\AppBridge\ThirdParty\Packages\Appsero\Updater;

class Appsero implements Hookable {

	public function register_hooks(): void {
		if ( ! class_exists( Client::class ) ) {
			return;
		}

		$client = new Client( '7e57a77e-6c1c-4988-846f-cf0da13a32a2', 'AppBridge Base', APP_BRIDGE_FILE );

		$client->insights()->init();

		Updater::init( $client );
	}
}
